Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IMarkerResolution

All Known Subinterfaces:
  IMarkerResolution2

All Known Implementing Classes:
  WorkbenchMarkerResolution

    public interface IMarkerResolution

Resolution for a marker. When run, a resolution would typically eliminate the need for the marker.

Since:
  2.0

Method Summary
`String` `getLabel()` Returns a short label indicating what the resolution will do.
`void` `run(IMarker marker)` Runs this resolution.

Method Detail

### getLabel

    String getLabel()

  Returns a short label indicating what the resolution will do.

  Returns:
    a short label for this resolution

### run

    void run(IMarker marker)

  Runs this resolution.

  Parameters:
    `marker` - the marker to resolve

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.